package com.chenyang.nse.bussiness.engine.infa.basic.wsclient;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "DIServerDate",
   propOrder = {"date", "nanoSeconds", "seconds", "minutes", "hours", "month", "year", "utcTime"}
)
public class DIServerDate {
   @XmlElement(
      name = "Date"
   )
   protected int date;
   @XmlElement(
      name = "NanoSeconds"
   )
   protected int nanoSeconds;
   @XmlElement(
      name = "Seconds"
   )
   protected int seconds;
   @XmlElement(
      name = "Minutes"
   )
   protected int minutes;
   @XmlElement(
      name = "Hours"
   )
   protected int hours;
   @XmlElement(
      name = "Month"
   )
   protected int month;
   @XmlElement(
      name = "Year"
   )
   protected int year;
   @XmlElement(
      name = "UTCTime"
   )
   protected int utcTime;

   public int getDate() {
      return this.date;
   }

   public void setDate(int value) {
      this.date = value;
   }

   public int getNanoSeconds() {
      return this.nanoSeconds;
   }

   public void setNanoSeconds(int value) {
      this.nanoSeconds = value;
   }

   public int getSeconds() {
      return this.seconds;
   }

   public void setSeconds(int value) {
      this.seconds = value;
   }

   public int getMinutes() {
      return this.minutes;
   }

   public void setMinutes(int value) {
      this.minutes = value;
   }

   public int getHours() {
      return this.hours;
   }

   public void setHours(int value) {
      this.hours = value;
   }

   public int getMonth() {
      return this.month;
   }

   public void setMonth(int value) {
      this.month = value;
   }

   public int getYear() {
      return this.year;
   }

   public void setYear(int value) {
      this.year = value;
   }

   public int getUTCTime() {
      return this.utcTime;
   }

   public void setUTCTime(int value) {
      this.utcTime = value;
   }
}
